.nav {
    align-items: center;
}
.nav ul li {
    margin: 0 15px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.nav ul li a {
    color: #fff;
    position: relative;
    text-transform: uppercase;
    text-decoration: none;
    -webkit-transition: all ease .5s;
    transition: all ease .5s;
}
.nav ul li a:after {
    content: '';
    border-bottom: solid 1px #fff;
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0%;
    -webkit-transition: all ease .4s;
    transition: all ease .4s;
}
.nav ul li a:hover:after {
    width: 60%;
}

.menu {
    position: absolute;
    top: 18px;
    right: 15px;
    height: 40px;
    width: 40px;
    z-index: 100;
}

.menu-link {
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 2;
}

.hamburger-icon {
    position: absolute;
    width: 30px;
    height: 18px;
    margin: auto;
    left: 0;
    top: 0;
    right: 0;
    bottom: 1px;
}
.hamburger-bar {
    background-color: #fff;
    height: 2px;
    width: 100%;
    border-radius: 2px;
    position: absolute;
    left: 0;
    -webkit-transition: all 0.25s ease-in-out;
    transition: all 0.25s ease-in-out;
}
.hamburger-bar-2 {
    top: 0;
    bottom: 0;
    margin: auto;
}
.hamburger-bar-3 {
    bottom: 0;
}
.menu.open .hamburger-bar-1 {
    transform: translateY(10px) translateY(-50%) rotate(45deg);
    background-color: #000;
}
.menu.open .hamburger-bar-2 {
    opacity: 0;
}
.menu.open .hamburger-bar-3 {
    transform: translateY(-8px) translateY(50%) rotate(-45deg);
    background-color: #000;
}

.menu-overlay {
    background-color: #fff;
    color: #ffffff;
    height: 100%;
    width: 30%;
    position: fixed;
    -webkit-transition: opacity 0.4s ease-in-out;
    transition: opacity 0.4s ease-in-out;
    -webkit-transition: all 0.4s ease-in-out;
    transition: all 0.4s ease-in-out;
    z-index: 1;
    /*opacity: 0;*/
    visibility: hidden;
    padding: 100px 0 0;
    right: -30%;
    top: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border: solid 1px #ebebeb;
}

.menu-overlay.open {
    /*opacity: 1;*/
    visibility: visible;
    right: 0%;
    overflow: auto;
}

.menu-overlay ul {
    display: grid;
    width: 100%;
}

.menu-overlay p {
    text-align: center;
    color: #000;
    margin-top: 20px;
    margin-bottom: 0;
    padding: 20px;
    font-size: 12px;
    border-top: 1px solid #ebebeb;
    border-bottom: 1px solid #ebebeb;
}

.menu-overlay .contact-list a {
    padding: 0 !important;
    margin: 2px 0 !important;
}

@media screen and (max-width: 900px) {
    .nav ul li {
        display: block;
        margin: 0;
        padding: 0;
        border-bottom: 1px solid #ebebeb;
    }
    .nav ul li:first-child {
        border-top: 1px solid #ebebeb;
    }
    .nav ul li a {
        color: #000;
        padding: 10px 20px;
        display: block;
        font-weight: 500;
        font-size: 14px;
    }
    .nav ul li a:after {
        display: none;
    }

    .contact-list {
        display: grid;
        padding: 20px;
    }
    .contact-list a {
        color: #000;
    }

    .menu-overlay {
        width: 90%;
        right: -100%;
    }
}